ath5k: frequent, intermittent dropouts when roaming between APs

Bug #278800 reported by Dan McGuirk on 2008-10-05
26
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Running Intrepid on an Eee PC 900, kernel linux-image-2.6.27-4-generic using the ath5k wireless driver. lspci shows:

01:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)

I'm getting frequent dropouts on the wireless, maybe every 1-2 minutes when it's in heavy use. daemon.log shows something like this:

Oct 5 14:08:44 eee NetworkManager: <debug> [1223240924.781343] periodic_update(): Roamed from BSSID 00:11:22:33:44:55 (networkname) to (none) ((none))
Oct 5 14:08:45 eee NetworkManager: <info> (wlan0): supplicant connection state change: 7 -> 3
Oct 5 14:08:46 eee NetworkManager: <info> (wlan0): supplicant connection state change: 3 -> 0
Oct 5 14:08:46 eee NetworkManager: <info> (wlan0): supplicant connection state change: 0 -> 4
Oct 5 14:08:46 eee NetworkManager: <info> (wlan0): supplicant connection state change: 4 -> 7
Oct 5 14:08:50 eee NetworkManager: <debug> [1223240930.785415] periodic_update(): Roamed from BSSID (none) ((none)) to 00:11:22:33:44:55 (networkname)
(changed MAC and SSID)

Sometimes the 'supplicant connection state change' section goes on for quite a while, maybe almost a minute. During that time the wireless is dead. Sometimes the 'supplicant connection state change' start up without the roaming messages (and the wireless again is down).

This is on a WEP network with a 64-bit hex key.

I saw some bugs that looked fairly similar, but not quite identical, so sorry if this is a dup.

Thanks for any help.

Superklaus (klaus-muelheims) wrote :

Hi,
on my eeepc 701, I have the same problem. Network-Managers seems to login in my wlan-network (WPA), but the speed changes very fast from 6MBit to 48MBit and back, although with hardy and madwifi, the connection is stable.
pings are sometimes lost.
I hope, this helps

Greeting

Klaus

David Murphy (schwuk) wrote :

Similar problems here on an Asus Eee PC 900A.

02:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)

Linux 2.6.27-9-generic #1 SMP Thu Nov 20 21:57:00 UTC 2008 i686 GNU/Linux

Tried with both the stock kernel+ backported modules, and the array.org custom kernel.

Connection drops out randomly, and will only come back after rebooting between 1-3 times.

When the connection drops, output similar to the below can be seen:

ath5k phy0: gain calibration timeout (2447MHz)
ath5k phy0: can't reset hardware (-11)
ath5k phy0: noise floor calibration timeout (2447Mhz)

Roman Khatko (nosorog) wrote :

Same problem on ASUS eee PC 900.
Ubuntu 8.10.

Iulian Udrea (iulian) wrote :

I have changed the status of this bug to Confirmed based on the comments.

Changed in linux:
status: New → Confirmed
status: Confirmed → Invalid
status: New → Confirmed

Hi Dave,

Thanks for testing with linux-backports-modules-intrepid. For those of you here who don't know, linux-backports-modules-intrepid contains an updated compat-wireless stack. Dave, unfortunately since it didn't seem to help, care to do a few extra tests? It would be nice to know if this still exists with the most recent pre-release of Jaunty, Alpha3 - http://cdimage.ubuntu.com/releases/jaunty/ . If it is still problematic, I'd also suggest giving the latest upstream compat-wireless stack a test? For more information refer to https://wiki.ubuntu.com/KernelTeam/LinuxWireless (item 4). Definitely let us know your results. Thanks.

John S. Gruber (jsjgruber) wrote :

@Dave:

I don't know if I can help but I'll jump in anyway.

I wonder if you are having a problem where the wireless device needs to be turned off in order to come back to life. Will one boot suffice to get your wireless working if you turn your computer off for a few seconds rather than just restart?

I also wonder if you are experiencing the following problem:

http://bugzilla.kernel.org/show_bug.cgi?id=12080

When this happens are you getting the changing bit-rates described by Superklaus?
========================

I see the changing bit rates and get the lost pings, but I don't get the hangs.

I'm also not getting the messages in the description--at least not during operation.

I wonder if there are actually two or three problems here. If so mine most closely matches Superklaus.

@Superklaus:

Off the web page:
http://wireless.kernel.org/en/users/Drivers/ath5k I found the command
[code] iwconfig wlan%d rate 11M [/code]

For me that becomes:
[code] sudo iwconfig wlan0 rate 11M [/code]

They mention on that page that the command is useful because of the current state of the experimental driver's rate control.

When I do this the rate stays at 11M, the 802.11 b rate, but that's better than 1M/bps and drop outs. I no longer have ping dropouts. Without this I get about 11% packet loss with an interruption every 10-20 seconds of about 2 seconds. This is enough to really get TCP agitated and my throughput crawls. With the command I'm in much better shape since I'd only see the drop in rate if copying files within my internal network.

Would you like to try this command and see if it helps?

John S. Gruber (jsjgruber) wrote :

By the way:

I can't use the current closed-source atheros drivers for my AR2425 wireless. On the other hand the August 15, 08 drivers from the ppa work very well at higher speeds, and without the above dropouts. I hope these will come in Jaunty before its release.

alcarola (alcarola) wrote :

Hi all!

I can confirm that the
[code] sudo iwconfig wlan0 rate 11M [/code]
command stopped the
ath5k phy0: noise floor calibration timeout (2447Mhz)
errors from disappearing, in case that's of any use. (I didn't see the other errors mentioned in this thread, but I have the roaming to none problem: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/291760)

Is there anything one can do to get rid of this problem? Does enabling intrepid-proposed help?

I have an IBM T42 laptop with intrepid, the following kernel (uname -a output):
Linux Kexlerus 2.6.27-11-generic #1 SMP Thu Jan 29 19:24:39 UTC 2009 i686 GNU/Linux

lspci says that the wlan card is:
02:02.0 Ethernet controller: Atheros Communications Inc. AR5212 802.11abg NIC (rev 01)

And the module (sudo modinfo ath5k output):
filename: /lib/modules/2.6.27-11-generic/updates/ath5k.ko
version: 0.6.0 (EXPERIMENTAL)
license: Dual BSD/GPL
description: Support for 5xxx series of Atheros 802.11 wireless LAN cards.
author: Nick Kossifidis
author: Jiri Slaby
srcversion: 63AB81E347E73116593DDE8
alias: pci:v0000168Cd0000001Dsv*sd*bc*sc*i*
...
alias: pci:v0000168Cd00000207sv*sd*bc*sc*i*
depends: led-class,lbm_cw-mac80211,lbm_cw-cfg80211
vermagic: 2.6.27-11-generic SMP mod_unload modversions 586
parm: nohwcrypt:Disable hardware encryption. (int)

alcarola (alcarola) wrote :

I used the command
[code] sudo iwconfig ath0 rate 11M [/code]
of course. I enabled intrepid proposed also, but it seems I mostly got a new kde, nothing which would relate to this bug.

Sitsofe Wheeler (sitsofe) wrote :

I don't see these problems with a 2.6.28 kernel on my eee 900...

ath5k 0.6.0 which comes with 2.6.27-12-generic doesn't work on my EeePC 901Go with AR2425.

However, array.org's 2.6.27-11-eeepc with ath5k 0.5.0 *DOES* work. Any changes of getting array.org's fixes into 2.6.27-12 generic?

Chance Fulton (chance-fulton) wrote :

Also affected on my 900A with the ubuntu eee (easy-peasy 1.0) build, I know its not ubuntu anymore, I just thought I would make the commend in case anyone was searching.

Its supposed to have the eeepc kernel
here is uname -a

Linux Netbook 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686 GNU/Linux

Jean Roberto Souza (sjeanr) wrote :

I have the same problem with my eeepc 900.
-----Original Message-----
Date: Thursday, February 26, 2009 12:15:34 pm
To: <email address hidden>
From: "Chance Fulton" <email address hidden>
Subject: [Bug 278800] Re: ath5k giving frequent, intermittent wireless dropouts on EeePC 900

Also affected on my 900A with the ubuntu eee (easy-peasy 1.0) build, I
know its not ubuntu anymore, I just thought I would make the commend in
case anyone was searching.

Its supposed to have the eeepc kernel
here is uname -a

Linux Netbook 2.6.27-8-eeepc #1 SMP Sun Nov 16 12:02:12 MST 2008 i686
GNU/Linux

--
ath5k giving frequent, intermittent wireless dropouts on EeePC 900
https://bugs.launchpad.net/bugs/278800
You received this bug notification because you are a direct subscriber
of the bug.

Hi Everyone,

I'd like to point out comment 10 from Sitsofe ( https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/278800/comments/10 ) which mentions this issue appears to be resolved with the 2.6.28 kernel. If you could please test the the most recent pre-release of Jaunty 9.04, currently Alpha5, that would be great. It contains this newer 2.6.28 based kernel. http://cdimage.ubuntu.com/releases/jaunty/ . Please let us know your results. Thanks.

Changed in linux:
status: Confirmed → Incomplete

Good answer, at least they are working on it. I can't reload the device at
this time, but I can however perform an upgrade, if the repos are available.

On Wed, Mar 11, 2009 at 7:42 PM, Leann Ogasawara <
<email address hidden>> wrote:

> Hi Everyone,
>
> I'd like to point out comment 10 from Sitsofe (
>
> https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/278800/comments/10
> ) which mentions this issue appears to be resolved with the 2.6.28
> kernel. If you could please test the the most recent pre-release of
> Jaunty 9.04, currently Alpha5, that would be great. It contains this
> newer 2.6.28 based kernel. http://cdimage.ubuntu.com/releases/jaunty/ .
> Please let us know your results. Thanks.
>
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> ath5k giving frequent, intermittent wireless dropouts on EeePC 900
> https://bugs.launchpad.net/bugs/278800
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Chance Fulton
<email address hidden>
810.441.5795

I thinh it is solved. My eeePC 900 is working just fine! Thank youuuuuu!
-----Original Message-----
Date: Wednesday, March 11, 2009 7:50:17 pm
To: <email address hidden>
From: "Leann Ogasawara" <email address hidden>
Subject: [Bug 278800] Re: ath5k giving frequent, intermittent wireless dropouts on EeePC 900

Hi Everyone,

I'd like to point out comment 10 from Sitsofe (
https://bugs.edge.launchpad.net/ubuntu/+source/linux/+bug/278800/comments/10
) which mentions this issue appears to be resolved with the 2.6.28
kernel. If you could please test the the most recent pre-release of
Jaunty 9.04, currently Alpha5, that would be great. It contains this
newer 2.6.28 based kernel. http://cdimage.ubuntu.com/releases/jaunty/ .
Please let us know your results. Thanks.

** Changed in: linux (Ubuntu)
       Status: Confirmed => Incomplete

--
ath5k giving frequent, intermittent wireless dropouts on EeePC 900
https://bugs.launchpad.net/bugs/278800
You received this bug notification because you are a direct subscriber
of the bug.

Don't upgrade, it broke my whole setup, and i didn't even get the new kernel. I suppose I will be reinstalling now does anyone have any suggestions on how I would go about getting the eee kernel (out of jaunty) installed since I use a ssd drive.

Meindert Frouws (m-j-frouws) wrote :

On my eMachines E520-572G12Mi I had similar behaviour if my wifi.
Driver ath5k
Chipset: Atheros AR242x/AR5007EG.

Problems disappeared when I set my router on a fixed channel in stead of "auto".

In Windows Vista the wireless connection was perfect.

(I don't know if this is the same bug, but in my opinion it is at least an imperfection of the ath5k driver.)

Dan McGuirk (incandenza) wrote :

I've tried the current Jaunty, and the problem is not resolved. It's exactly the same as before.

As far as Sitsofe's report, for all we know he may not have seen the problem on Intrepid either. It's not really good evidence that anything has been resolved.

I believe the problem is related to the type of network I'm on, which has multiple access points on the same SSID (repeaters). The driver seems to get confused by the process of switching from one of the access points to another based on which one has the best signal. The madwifi and ndiswrapper drivers can handle this (and will switch properly from one access point to another), but the ath5k driver somehow gets bogged down and confused and leaves the network in a disconnected state for minutes at a time.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Chance Fulton (chance-fulton) wrote :

I'm working 100% no drop outs ever since I upgraded to jaunty beta. I upgraded to 9.04 release the other day, and wifi is still up. Let me know what files/information I can provide in order to help fix this problem for the rest of you.

Dan McGuirk (incandenza) wrote :

Changed the title to more accurately reflect the original problem being reported here.

Remember, just because your WiFi is working under Jaunty, it doesn't necessarily mean that you're confirming a fix of this problem. You have to be on a network with multiple roamable APs in order to test this.

Perhaps there are other, related problems that have been fixed, but I'm trying to narrow this bug down to the original problem that was being reported, which is still occurring in the same way.

summary: - ath5k giving frequent, intermittent wireless dropouts on EeePC 900
+ ath5k: frequent, intermittent dropouts when roaming between APs
Sitsofe Wheeler (sitsofe) wrote :

Just for the record, I do my testing at a University with hundreds of access points that I roam between and two seperate wifi networks that I roam between. I have tested this roaming across thse access points with both unencrypted and WPA encrypted connections. I _did_ see wifi connection problems with earlier versions of the ath5k module that went away with the 2.6.28 kernel but the highest speeds were still problematic. Things seem to be even better with a 2.6.30 kernel (I can seemingly now stay connected to an AP which is a metre away at a rate of 54 without it having to drop to a lower rate).

I do not doubt that others are seeing problems however networks with multiple SSIDs alone is not the problem. This bug was originally for the ath5k chipset in the EeePC 900. There are other chipsets in other machines and this problem could be tied to those chipsets (it is unclear who is using what from the comments above).

(The following obviously does NOT apply to people who have already left information). Could anyone new posting problem please ensure they post their machine type, the wifi chipset in their machine AND which kernel they are using (lspci will show the wifi chipset, the kernel version can be found with uname -a) and the type of network they are trying to connect to. This might help to build a profile of the problem.

Dan McGuirk (incandenza) wrote :

Well, the reason I suggest that this is related to roaming is that when the dropouts occur, I clearly see messages in the log showing that NetworkManager is attempting to roam (see the original bug description). In fact, it roams onto a network with an SSID of '(none)' and then back again.

With the other drivers (madwifi, ndiswrapper) I can watch this roaming occur as well, but it occurs in a sensible way. It occasionally roams onto a valid alternative MAC address, presumably based on the signal strength; it doesn't roam onto '(none)' and let the network drop out while this is occurring. And it roams rarely, maybe every several hours, not every few minutes.

There may be other factors involved, of course. But the behavior for me is still definitely the same as before. I'm not sure how much more information I can provide.

The kernel version on Jaunty is (the standard release kernel):

Linux eee900 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux

The other information was provided before, but I will repeat:

lspci:
01:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)

network:
WEP 64-bit key with 5 access points on the same SSID

Dan McGuirk (incandenza) wrote :

Alright, reading through the comments here I see the reference to bug #291760, and I think the remaining behavior I'm seeing is just what's described in that bug. So I went ahead and marked this as a duplicate.

Chance Fulton (chance-fulton) wrote :

My symptoms were not like the above mentioned bug #291760 (No packet loss whatsoever), I have no problems while roaming, but all of the sudden my wireless would go dead. I would then have to reboot as I could not get the card to respond or connect even after removing the module, and reloading them, or using the commandline.

I think this bug is a separate, yet seemingly repaired problem.

Any thoughts?

Dan McGuirk (incandenza) wrote :

My intention is to keep this bug focused to the actual problem I was originally reporting (as the person who opened it). Since that problem seems to be completely described by bug #291760, I marked this as a duplicate.

If you would like to file another bug about some other problem you were having (or, maybe you don't need to if it's already fixed), then of course you're welcome to.

It's better if each bug only covers one very specific problem, not just every problem that could ever possibly happen with the same hardware. Then there's a better chance of the problem actually being addressed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.